# History

## 3.1.2 / 2022-01-27

* Fix return value for un-parsable strings

## 3.1.1 / 2021-11-15

* Fix "thousandsSeparator" incorrecting formatting fractional part

## 3.1.0 / 2019-01-22

* Add petabyte (`pb`) support

## 3.0.0 / 2017-08-31

* Change "kB" to "KB" in format output
* Remove support for Node.js 0.6
* Remove support for ComponentJS

## 2.5.0 / 2017-03-24

* Add option "unit"

## 2.4.0 / 2016-06-01

* Add option "unitSeparator"

## 2.3.0 / 2016-02-15

* Drop partial bytes on all parsed units
* Fix non-finite numbers to `.format` to return `null`
* Fix parsing byte string that looks like hex
* perf: hoist regular expressions

## 2.2.0 / 2015-11-13

* add option "decimalPlaces"
* add option "fixedDecimals"

## 2.1.0 / 2015-05-21

* add `.format` export
* add `.parse` export

## 2.0.2 / 2015-05-20

* remove map recreation
* remove unnecessary object construction

## 2.0.1 / 2015-05-07

* fix browserify require
* remove node.extend dependency

## 2.0.0 / 2015-04-12

* add option "case"
* add option "thousandsSeparator"
* return "null" on invalid parse input
* support proper round-trip: bytes(bytes(num)) === num
* units no longer case sensitive when parsing

## 1.0.0 / 2014-05-05

* add negative support. fixes #6

## 0.3.0 / 2014-03-19

* added terabyte support

## 0.2.1 / 2013-04-01

* add .component

## 0.2.0 / 2012-10-28

* bytes(200).should.eql('200b')

## 0.1.0 / 2012-07-04

* add bytes to string conversion \[yields]


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mediamagic.dev/product-docs/services/graphql-gateway/node_modules/bytes/history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
